<html>

<head>
  <meta charset="UTF-8">
  <title>KNN Classification on Webcam Images with Speech Output Using mobileNet.</title>
  
  
  <script src="https://unpkg.com/ml5@0.4.0/dist/ml5.min.js" type="text/javascript"></script>
  
  <style></style>
</head>

<body>
  <h2>KNN Classification on Webcam Images with Speech Output Using mobileNet.</h2>
  <div id="videoContainer">
    <canvas width="640" height="480" id="myCanvas"></canvas>
  </div>
  <p id="status">Loading Model...</p>
  <br /><p>
    <button id="addClass1">Add an Example to Class "Hello"</button>
    </p><p><span id="example1">0</span> "Hello" examples</p>

    <br /><button id="addClass2">Add an Example to Class "Goodbye"</button>
    <p><span id="example2">0</span> "Goodbye" examples</p>
  
  <br />
  <p>
    <button id="buttonPredict">Start predicting!</button><br />
    <button id="clearAll">Clear all classes</button><br />
  </p>
  <p>
    KNN Classifier with mobileNet model labeled this
    as Class: <span id="result">...</span>
    with a confidence of <span id="confidence">...</span>
  </p>
  <script src="sketch.js"></script>
</body>

</html>